# std::bad_function_call

From cppreference.com
< cpp‎ | utility‎ | functional

Defined in header `<functional>` |  |
class bad_function_call; |  | (since C++11)

`std::bad_function_call` is the type of the exception thrown by `std::function::operator()` if the function wrapper has no target.

Inheritance diagram

### Member functions

(constructor) | constructs the bad_function_call object (public member function)

## std::bad_function_call::bad_function_call()

bad_function_call() noexcept; |  |

Constructs a new instance of `std::bad_function_call`.

### Parameters

(none)

## Inherited from std::exception

### Member functions

(destructor) [virtual] | destroys the exception object (virtual public member function of `std::exception`)
what [virtual] | returns an explanatory string (virtual public member function of `std::exception`)

### Example

Run this code

    #include <iostream>
    #include <functional>

    int main()
    {
        std::function<int()> f = nullptr;
        try {
            f();
        } catch(const std::bad_function_call& e) {
            std::cout << e.what() << '\n';
        }
    }

Possible output:

    bad function call

### See also

function (C++11) | wraps callable object of any type with specified function call signature (class template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/functional/bad_function_call&oldid=95198"